An environment, its plan, timeline and activity
GET
/v1/organisations/{id}/environments/{envId}Operation environments.get · since 2026-11-05 · stable
Needs a session withreadscopeAnswers200 OK
The environment: its state, plan and price, timeline (the last 300 events), its latest operations with their phases and req_ references, activity, metadata and approvals.
Path parameters
- idstring (uuid)required
- The organisation id.
- envIdstring (uuid)required
- The environment id.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/environments/{envId}
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"With the rykloud CLI
rykloud envs get [ENV]Command reference: rykloud envs get